Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1358483 - Stuck at time zone selection during Initial Setup if network not available
Summary: Stuck at time zone selection during Initial Setup if network not available
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: initial-setup
Version: 24
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Kolman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-20 19:54 UTC by Paul Stauffer
Modified: 2017-08-08 15:44 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:44:57 UTC


Attachments (Terms of Use)
Screen shot of firstboot Time Zone screen. (deleted)
2016-07-20 19:54 UTC, Paul Stauffer
no flags Details

Description Paul Stauffer 2016-07-20 19:54:20 UTC
Created attachment 1182255 [details]
Screen shot of firstboot Time Zone screen.

Installed Fedora 24 from Live DVD.  After installation completed, system rebooted, and launched the firstboot configuration tool.  Click through the language, keyboard, network, and privacy screens.  The next screen is the Time Zone selection; the user can click anywhere on the map to select a time zone, and is able to successfully search for a city via the dialog box, but no matter what they do, the "Next" button stays grayed out, and the "Please search for a nearby city" pop-up never goes away.  There is no option to skip this step, or to cancel out of it, and there is no obvious way for the user to prevent it from running again at next boot.  The user is thus stuck at this point, and the system is unusable.  The only key sequence that seems to do anything useful is Ctrl-Alt-Del.

Screen shot is attached.

Comment 1 Paul Stauffer 2016-07-21 17:08:57 UTC
While researching the problem, I learned that firstboot was replaced with Intial Setup as of F18.  I have updated the Summary text accordingly, and reassigned this to the initial-setup component.

Comment 2 Paul Stauffer 2016-07-21 18:36:05 UTC
It looks like this bug is triggered by not having an active network connection during Initial Setup.  Retrying while plugged into ethernet resulted in the "Next" button becoming active as soon as the user selects a time zone.

Comment 3 Fedora End Of Life 2017-07-25 21:56:34 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-08-08 15:44:57 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.